package com.fs.watch.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 腕表消息提醒发送时间限制对象 watch_send_msg_set
 *
 * @author fs
 * @date 2024-11-29
 */
public class WatchSendMsgSet extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Integer id;

    /** 设置类型 */
    @Excel(name = "设置类型")
    private String type;

    /** 状态:0-关闭 1-开启  */
    @Excel(name = "状态:0-关闭 1-开启 ")
    private Integer status;

    /** 开始时间 */
    @Excel(name = "开始时间")
    private String start;

    /** 结束时间 */
    @Excel(name = "结束时间")
    private String end;

    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setType(String type)
    {
        this.type = type;
    }

    public String getType()
    {
        return type;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setStart(String start)
    {
        this.start = start;
    }

    public String getStart()
    {
        return start;
    }
    public void setEnd(String end)
    {
        this.end = end;
    }

    public String getEnd()
    {
        return end;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("status", getStatus())
            .append("start", getStart())
            .append("end", getEnd())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
